
function [OmegaR,OmegaI] = getOmega(Nx)

% IFT reconstruction matrix Matrix
OmegaxC=zeros(Nx,Nx);
for k=1:Nx
    for j=1:Nx
        OmegaxC(k,j)=exp(1i*2*pi*(k-(Nx/2+1))*(j-(Nx/2+1))/Nx);
    end
end
OmegaxC=OmegaxC/Nx;

OmegaxR=real(OmegaxC); OmegaxI=imag(OmegaxC);
clear OmegaxC OmegaxC
% assumes y and y dims the same
OmegayR=OmegaxR; OmegayI=OmegaxI;

OmegaR=kron(OmegayR,OmegaxR)-kron(OmegayI,OmegaxI);
OmegaI=kron(OmegayR,OmegaxI)+kron(OmegayI,OmegaxR);
clear OmegaxR OmegaxI OmegayR OmegayI

