% zero fill from NKy and NKx to Ny and Nx
% only generates one part for real or imaginary
% uses efficient sparse matrix representaitons

function [Z] = getZ(NKy,Ny)

NKx=NKy; Nx=Ny;

ival=zeros(NKy*NKx,1);
for j=1:NKy
    ival((j-1)*NKx+1:j*NKx)=((Ny-NKy)/2*Nx+Nx*(j-1)+(Nx-NKx)/2+1:(Ny-NKy)/2*Nx+Nx*(j-1)+(Nx-NKx)/2+NKx)';
end
jval=(1:NKx*NKy)';
mval=ones(NKy*NKx,1);
Z=sparse(ival,jval,mval,Ny*Nx,NKx*NKy);
clear ival jval mval
  
        
